{
    attributes = (
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = C2IO_CODE; 
            externalType = VARCHAR2; 
            name = c2ioCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = C2IO_KEY; 
            externalType = NUMBER; 
            name = c2ioKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = C2IO_TYPE; 
            externalType = VARCHAR2; 
            name = c2ioType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_DATE_JURY; 
            externalType = DATE; 
            name = ic2iDateJury; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_DISPENSE; 
            externalType = NUMBER; 
            name = ic2iDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_ETAT; 
            externalType = NUMBER; 
            name = ic2iEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_MENTION; 
            externalType = NUMBER; 
            name = ic2iMention; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_NOM; 
            externalType = VARCHAR2; 
            name = ic2iNom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_PRENOM; 
            externalType = VARCHAR2; 
            name = ic2iPrenom; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(ic2iEtat,1,'OBTIENT','')"; 
            externalType = VARCHAR2; 
            name = ic2iResultat; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = IC2I_TYPE; 
            externalType = CHAR; 
            name = ic2iType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICC_ETAT; 
            externalType = NUMBER; 
            name = ic2iccEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_DATE_JURY; 
            externalType = DATE; 
            name = ic2ixDateJury; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_ETAT; 
            externalType = NUMBER; 
            name = ic2ixEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ic2iType, c2ieKey, etudNumero, persId, c2ioKey, fannKey); 
    className = EOGenericRecord; 
    classProperties = (
        ic2iType, 
        c2ieKey, 
        etudNumero, 
        persId, 
        ic2iNom, 
        ic2iPrenom, 
        ic2iDispense, 
        ic2iEtat, 
        ic2iMention, 
        c2ioKey, 
        c2ioCode, 
        c2ioType, 
        ic2iccEtat, 
        ic2iDateJury, 
        fannKey, 
        toGrhumEtudiant, 
        toGrhumPersonne, 
        toScolC2ICompetence, 
        toScolC2IEntete, 
        toScolFormationAnnee, 
        ic2iResultat, 
        toScolInscriptionC2IExterne, 
        toScolInscriptionC2IInterne, 
        ic2ixDateJury, 
        ic2ixEtat
    ); 
    externalName = V_SCOL_INSCRITS_CCOMPETENCE; 
    fetchSpecificationDictionary = {}; 
    name = VScolInscritsCcompetence; 
    primaryKeyAttributes = (c2ieKey, c2ioKey, etudNumero, fannKey, persId, ic2iType); 
    relationships = (
        {
            destination = GrhumEtudiant; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = etudNumero; }); 
            name = toGrhumEtudiant; 
        }, 
        {
            destination = GrhumPersonne; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toGrhumPersonne; 
        }, 
        {
            destination = ScolC2ICompetence; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ioKey; sourceAttribute = c2ioKey; }); 
            name = toScolC2ICompetence; 
        }, 
        {
            destination = ScolC2IEntete; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = toScolC2IEntete; 
        }, 
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionC2IExternes; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = (
                {destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }, 
                {destinationAttribute = persId; sourceAttribute = persId; }
            ); 
            name = toScolInscriptionC2IExterne; 
        }, 
        {
            destination = ScolInscriptionC2I; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = (
                {destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }, 
                {destinationAttribute = etudNumero; sourceAttribute = etudNumero; }
            ); 
            name = toScolInscriptionC2IInterne; 
        }
    ); 
}
